Subject: Re: Interrupts get disabled on USB access on MPC8272

From: Scott Wood <[email-masked]>
Date: Fri, 26 Sep 2008 11:31:57 -0500

David Beamonte wrote:
> I have debugged the kernel and what I can see is that, once the 
> processor tries to send a buffer of the USB controller, interrupts get 
> disabled. And so, there is no ethernet, serial port, or whatever way of 
> communication to the processor. With my debugger I can see that the 
> kernel keeps running and executing cpu_idle() and so on. Furtheremore, 
> jiffies increase, but no other interrupts occur.

It's probably waiting for an interrupt that never came.

> It seems to happen when buffers try to access external memory. Can it be 
> related to bus arbitration?

Probably not; usually that sort of problem results in a hard lock-up.

-Scott